commit fcb75497775382143ca316ed7c362e9aa36b5950
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 8 20:00:05 2011 -0400

    Updates for 2.28.6

 NEWS |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 43882037fd96498d4582058b1ade597b02e5b8e7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 8 17:02:01 2011 -0400

    Fix another faulty GApplicationCommandline example

    Several flaws were pointed out by Shaun McCance. We were
    leaking handled arguments, and we were mishandling the last
    argument, and we were actually skipping arguments too.

    https://bugzilla.gnome.org/show_bug.cgi?id=647031

 gio/tests/gapplication-example-cmdline2.c |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit ddfddbcb40045383af1e156db98538d8dd445874
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Apr 7 21:25:01 2011 -0400

    Don't assert on backend == settings->priv->backend

    They could be different if a notification is queued for delivery and
    someone calls g_settings_delay().

    Bug #646843.

 gio/gsettings.c |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit 2aad89ab9bbad6c743f2f1a4d1cacb31a64faf50
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 8 07:13:54 2011 -0400

    Avoid an interaction between GApplication and GOption

    When using GOption to handle commandlines, we need to disable
    the builtin help handling, since it calls exit(). Also mention
    this particular pitfall in the docs.

 gio/gapplicationcommandline.c             |    5 ++++-
 gio/tests/gapplication-example-cmdline3.c |   11 +++++++++++
 2 files changed, 15 insertions(+), 1 deletions(-)

commit faa896642df51286c8d349be99a2219ed7d54140
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Apr 7 17:14:36 2011 -0400

    Add a warning to the g_dbus_connection_set_exit_on_close docs

    Tell people to not leak their apps out of the session.

 gio/gdbusconnection.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit af59f8f502c92cb4614e7d1402a33500cc76ac92
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Apr 6 12:31:00 2011 +0200

    Updated Slovenian translation

 po/sl.po | 1517
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 881 insertions(+), 636 deletions(-)

commit 19960e456ce5ce8615656e7c17d5de8fa95efead
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Tue Apr 5 12:36:15 2011 +0530

    Updated Assamese translations

 po/as.po | 2711
 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 1792 insertions(+), 919 deletions(-)

commit 73db89ef345c3fa4f28853bcba8b9ce712cf9aed
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Mon Apr 4 21:16:35 2011 +0200

    [l10n]Fixes on Catalan translation

 po/ca.po |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 70563b1e3704fa25ae62123a0de53162a26fdbea
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Mon Apr 4 21:27:35 2011 +0900

    Updated Japanese translation

 po/ja.po | 1192
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 696 insertions(+), 496 deletions(-)

commit 092a3c2419c77674f7dca308e9a5b9ead5fc1f07
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Thu Mar 24 09:37:21 2011 +0100

    Docs: Change DBus to D-Bus

 gio/gioenums.h             |    2 +-
 glib/gvariant-serialiser.c |   12 ++++++------
 glib/gvariant.c            |   38 +++++++++++++++++++-------------------
 glib/gvarianttype.c        |   20 ++++++++++----------
 glib/gvarianttype.h        |   18 +++++++++---------
 5 files changed, 45 insertions(+), 45 deletions(-)

commit 822da36d516e5c3c5f0d4c5771537e5f0e48abbc
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Mon Apr 4 09:39:37 2011 +0530

    Updated Marathi Translations

 po/mr.po | 2610
 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 1722 insertions(+), 888 deletions(-)

commit 8dec385e33937d37f3f78231be9e86ee2ea0c20e
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Apr 4 04:10:42 2011 +0200

    Update Czech translation

 po/cs.po | 1139
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 639 insertions(+), 500 deletions(-)

commit 34b9f794308e25e99c815bd4326c7629a7747aaa
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Apr 3 16:47:06 2011 +0200

    Updated Basque language

 po/eu.po |  860
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 469 insertions(+), 391 deletions(-)

commit b513701be1171522d3723f4db146f0c94025c25f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sun Apr 3 10:13:57 2011 +0200

    Updated Hungarian translation

 po/hu.po |   44 ++++++++++++++++++++++----------------------
 1 files changed, 22 insertions(+), 22 deletions(-)

commit cdeb2dbd475c2220b832b8165b1a3fabd2ec3acf
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Sat Apr 2 15:42:11 2011 +0200

    GDBusMethodInvocation: Improve get_parameters() documentation.

    Note that the returned GVariant is always a tuple.
    See bug #646420.

 gio/gdbusmethodinvocation.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit c76d84efcc1e527cea8ebeaf9886eabcc827a42a
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Apr 2 15:46:34 2011 +0200

    Updated Swedish translation

 po/sv.po |   40 ++++++++++++++++++++--------------------
 1 files changed, 20 insertions(+), 20 deletions(-)

commit 08d881f05e71c8773dfa96b1daf480e1ff258b95
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 14:30:01 2011 -0400

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 471498c62119ccd8ad34a6a2d49b3935e470f255
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 13:44:23 2011 -0400

    Docs: explain what a NULL vtable might be good for

    https://bugzilla.gnome.org/show_bug.cgi?id=646419

 gio/gdbusconnection.c |   21 +++++++++++++--------
 1 files changed, 13 insertions(+), 8 deletions(-)

commit 770442f2de192de81f35215351e1bfc72f4b206b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 11:50:38 2011 -0400

    Remove a reference to a nonexisting function from the docs

    There is sadly no async g_dbus_server_new() function.
    https://bugzilla.gnome.org/show_bug.cgi?id=646422

 gio/gdbusserver.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 048c843b3ce74d5f1af83d84970d3f771fb70106
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 11:09:43 2011 -0400

    Update NEWS

 NEWS |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit 5b75c32577038fd28a0f96d832c43f1669e3f7e8
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Fri Apr 1 14:33:26 2011 +0530

    Updated Telugu Translations

 po/te.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3687ab50d66fe8e5a4c12a0f0c631b457948f153
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Fri Apr 1 14:27:59 2011 +0530

    Updated Telugu Translations

 po/te.po | 2431
 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 1629 insertions(+), 802 deletions(-)

commit 6f95b44f2e2af3084d5df7d714ce69d705e29684
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Thu Mar 31 17:33:07 2011 +0530

    hindi updated

 po/hi.po | 2305
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 1561 insertions(+), 744 deletions(-)

commit a7a166f3bcc334efab714f7d0317937a3e9c1236
Author: Miroslav Nikolić <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 31 00:47:41 2011 +0200

    Updated Serbian translation

 po/sr.po       | 1774
 ++++++++++++++++++++++++++++++++------------------------
 po/sr@latin.po | 1774
 ++++++++++++++++++++++++++++++++------------------------
 2 files changed, 2030 insertions(+), 1518 deletions(-)

commit 565d365745b7655b4acbeaafc852a3edd92adb43
Author: Gil Forcada <gforcada@gnome.org>
Date:   Wed Mar 30 23:17:29 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po |  344
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 180 insertions(+), 164 deletions(-)

commit 2d3b3f89543ce309a80f5afa12b09b152369bf63
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Mar 30 19:52:31 2011 +0200

    [gi] Add missing allow-none annotations to Gio

 gio/gdbusproxy.c |   18 ++++++++++--------
 1 files changed, 10 insertions(+), 8 deletions(-)

commit 6d4153481dcbae1eae3b5afb41f3bf43037d386d
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Wed Mar 30 18:53:38 2011 +0200

    Update translation for Afrikaans (af)

 po/af.po | 2200
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 1510 insertions(+), 690 deletions(-)

commit b30a98ae30bef071ba1f90c92ef13718429187ce
Author: Djavan Fagundes <djavan@comum.org>
Date:   Wed Mar 30 12:36:18 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1228
 +++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 741 insertions(+), 487 deletions(-)

commit f13243371ddfcbaca115d14a093229bbd7f71b1d
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Mar 30 15:22:38 2011 +0100

    Updated British English translation

 po/en_GB.po |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit d03b3ec74987bb00d8cbb671ed347f705369709f
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Mar 30 21:19:43 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  154
 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po |  154
 ++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 158 insertions(+), 150 deletions(-)

commit d238aaee5f65d40c4698a0be5d871351c4ebbacf
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Wed Mar 30 00:16:20 2011 +0700

    Updated Indonesian translation

 po/id.po | 1539
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 783 insertions(+), 756 deletions(-)

commit 3ce857f9a489ef3dbfda685623aaea108e53c89a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 27 10:44:31 2011 +1000

    introspection: add annotations for g_file_load_contents and friends

    https://bugzilla.gnome.org/show_bug.cgi?id=645789

 gio/gfile.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 9c5ec1c263d8e98c86ab69523a81cea86618d239
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Tue Mar 29 14:15:42 2011 +0200

    Updated Lithuanian translation.

 po/lt.po | 1214
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 700 insertions(+), 514 deletions(-)

commit 60eae443947035043493b336a1f67cb5c4253588
Author: Gil Forcada <gforcada@gnome.org>
Date:   Tue Mar 29 00:58:25 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po | 2798
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 1920 insertions(+), 878 deletions(-)

commit c69900a8cd5b4e3296c8148d70237477605d10d9
Author: Aron Xu <aronxu@gnome.org>
Date:   Mon Mar 28 10:28:32 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po |  559
 ++++++++++++++++++++++++++++++----------------------------
 1 files changed, 289 insertions(+), 270 deletions(-)

commit 60571bfbee22fb313a5be454f82a598131eef925
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sun Mar 27 23:49:55 2011 +0200

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po | 1198
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 675 insertions(+), 523 deletions(-)

commit 40902423ffd1e7b4e705f1f5f93aaa3ffbb6ac44
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Mar 27 00:38:07 2011 +0700

    Updated Vietnamese translation

 po/vi.po |   41 +++++++++++++++--------------------------
 1 files changed, 15 insertions(+), 26 deletions(-)

commit b43ed5ef3dc75df93151b96832a15039f965a904
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Mar 27 00:34:44 2011 +0700

    po/vi.po: import from Damned Lies

 po/vi.po |  769
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 409 insertions(+), 360 deletions(-)

commit c8d97e3c5c834ac86b5b022f0098863cba842284
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Mar 26 14:18:37 2011 +0100

    Updated Danish translation

 po/da.po | 1223
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 728 insertions(+), 495 deletions(-)

commit 4744335aa6fffb9e5f7747a1a15b9334b7896619
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Mar 26 12:49:48 2011 +0200

    Updated Latvian translation.

 po/lv.po | 3540
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 2234 insertions(+), 1306 deletions(-)

commit b370a213fb64906ec3d44de4e2be8111fc0c455d
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sat Mar 26 09:46:42 2011 +0100

    Updated German translation

 po/de.po |  145
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 80 insertions(+), 65 deletions(-)

commit cfc62789aa1af88e666249cbedec5487b1ec200b
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Mar 26 09:48:01 2011 +0200

    Updated Hebrew translation

 po/he.po |  152
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 78 insertions(+), 74 deletions(-)

commit 4fbaeb444d1f804a78d12f98e868c0f512c5b04b
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Fri Mar 25 22:13:47 2011 +0200

    Updated Bulgarian translation

 po/bg.po |  154
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 79 insertions(+), 75 deletions(-)

commit 0c01e87155e3125970c33f4a7021c86b7ac1fca9
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Mar 25 18:21:47 2011 +0100

    Updated Swedish translation

 po/sv.po | 1190
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 600 insertions(+), 590 deletions(-)

commit 8eed777abb581319d63d898a71eb11f0dd40dd15
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Mar 22 15:13:54 2011 +0100

    Updated Swedish translation

 po/sv.po | 1516
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 776 insertions(+), 740 deletions(-)

commit eeb1f32fe67d9998588205e6ad0b19e06eec909f
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Tue Mar 22 14:41:23 2011 +0100

    Updated Italian translation

 po/it.po |   95
 +++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 69 insertions(+), 26 deletions(-)

commit b594bc8afef8fe3438a5c89df33b5142fc8dca58
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 21 13:38:25 2011 -0400

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9ab5eb611d444e28f5934324ddd99789ba7a59b0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 21 11:28:55 2011 -0400

    Update NEWS for 2.28.4

 NEWS |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit cf45b85ab7c31023bc797dce7a572e198a647c12
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Mar 21 16:52:25 2011 +0530

    Updated Gujarati Translations

 po/gu.po | 2243
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 1531 insertions(+), 712 deletions(-)

commit 5fed5c1e74982f399263352f8d265f1e76efc70c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Mar 20 19:02:48 2011 +0100

    Updated Galician translations

 po/gl.po |   70
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 37 insertions(+), 33 deletions(-)

commit cdfeb024a0747af5c7768abc1e48b9d0b09932e4
Author: Yuri Kozlov <yuray@komyakino.ru>
Date:   Sun Mar 20 10:50:35 2011 +0300

    Updated Russian translation

 po/ru.po | 2584
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 1757 insertions(+), 827 deletions(-)

commit 9602b5303015e98043c96673a81f71220c163643
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Mar 19 16:28:45 2011 +0100

    Updated Polish translation

 po/pl.po |   45 ++++++++++++++++++++++++---------------------
 1 files changed, 24 insertions(+), 21 deletions(-)

commit f0d55655476ad149f272865b91e93aa28736a131
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 19 23:53:22 2011 +0900

    Updated Korean translation

 po/ko.po |   63
 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 35 insertions(+), 28 deletions(-)

commit fbcdf6857d1e6cd8cc59ee43968ce24ba09caf4c
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Mar 18 17:11:24 2011 +0100

    Updated Hungarian translation

 po/hu.po |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit b3b2793243f9309be7939a44f60e5ec8f4a6d026
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Mar 17 21:40:03 2011 +0100

    Updated French translation

 po/fr.po |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

commit f79a15b79e1f00830e182d699ce0323b9c6e4ecd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Mar 17 20:32:16 2011 +0100

    Updated Spanish translation

 po/es.po |  283
 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 134 insertions(+), 149 deletions(-)

commit 23344b6d6839b3c32827c06aeb84ec0b46ac412a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Mar 17 18:12:40 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  176
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 91 insertions(+), 85 deletions(-)

commit 7669f6d858fa212ba63523c5ffa4cc1455f6b15c
Author: Andre Klapper <a9016009@gmx.de>
Date:   Thu Mar 10 12:33:58 2011 +0100

    Add missing files to POTFILES.in

 po/POTFILES.in |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit bfc569a351b01661c311cb5774c8a936e0378082
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Mar 17 12:52:12 2011 +0100

    [l10n] Updated German translation

 po/de.po | 1168
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 677 insertions(+), 491 deletions(-)

commit d837cea80391972def509441526f0a7c3626a1b1
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Mar 17 16:17:31 2011 +0530

    Updated Gujarati Translations

 po/gu.po |   72
 +++++++++++++++++++++++--------------------------------------
 1 files changed, 27 insertions(+), 45 deletions(-)

commit a710e3132dd2c22570ea9beedd93921e2f80a2b2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Mar 15 11:28:03 2011 -0400

    Document which files glib-compile-schemas looks at

    Otherwise, your vendor override files are silently ignored...

 docs/reference/gio/glib-compile-schemas.xml |    2 ++
 gio/gsettings.c                             |    6 ++++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 0a01b4d6e2a42e90e6219ed57c15bc47d5d77786
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Tue Mar 15 14:11:22 2011 +0100

    Updated Romanian translation

 po/ro.po | 1194
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 687 insertions(+), 507 deletions(-)

commit 9775c3afdd5ee3c67802fc9bd2921f18686aec22
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 07:21:21 2011 -0400

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 156d249b7b7b4a91068c808c1e7bdc8db5ad3a9b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 01:27:19 2011 -0400

    Update symbol lists

 glib/glib.symbols |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f8017fd18666d5d21a3927b93b8c3c3d867f054a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 01:14:48 2011 -0400

    Update for 2.28.3

 NEWS |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit b0e63cb4778b61a896b1cfe8046e09f09cf609f1
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Sat Mar 12 20:48:31 2011 -0500

    Correct internal definition of C_()

    * Since the GLib translations are lazily initialized, we need an
      internal wrapper for g_dpgettext() that does the initialization
      in the same way as glib_gettext()
    * We need to use the glib domain defined by GETTEXT_PACKAGE
      rather than than the application's domain.

    https://bugzilla.gnome.org/show_bug.cgi?id=644607

 glib/glibintl.h |    6 +++-
 glib/gutils.c   |   56
 ++++++++++++++++++++++++++++++++++++++++++------------
 2 files changed, 47 insertions(+), 15 deletions(-)

commit 0caf9ee66f6e2a078c8145fbe0414d28d720f945
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sun Mar 13 02:21:55 2011 +0100

    Updated Hungarian translation

 po/hu.po | 1158
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 647 insertions(+), 511 deletions(-)

commit 7fc46fa278922b29358845531eaff4b18cd8f035
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   Sat Mar 12 10:08:52 2011 +0000

    Document g_timeout_add_seconds first call latency

    And fix /timeout/rounding to not fail if the first call
    happens after 2 seconds.

    https://bugzilla.gnome.org/show_bug.cgi?id=644552

 glib/gmain.c         |    6 +++++-
 glib/tests/timeout.c |    8 +++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

commit cd72732835f4bfa65c4c4af8c027bb93d3c2fb01
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Mar 12 11:20:45 2011 +0100

    Updated French translation

 po/fr.po |  344
 ++++++++++++++++++++++++-------------------------------------
 1 files changed, 135 insertions(+), 209 deletions(-)

commit b54aa61dd5f201839bb1df8a9faab082b964c944
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Fri Feb 25 23:53:52 2011 +0100

    Updated French translation

 po/fr.po | 1373
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 789 insertions(+), 584 deletions(-)

commit 639956eb43a5d1f1614eee4707af0a108e840608
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Mar 12 01:14:01 2011 +0000

    Updated Portuguese translation

 po/pt.po | 1251
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 745 insertions(+), 506 deletions(-)

commit b6027dbcc001a73aa123e79ddd12e946d8997fd9
Author: Tor Lillqvist <tml@iki.fi>
Date:   Fri Mar 11 10:19:42 2011 +0200

    Use g_usleep() for portability, bug #644465

 glib/tests/timeout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f837fb3cef2cd96367a79760d60bb92621bd094b
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Mar 8 07:36:15 2011 +0100

    Check availability of linux/magic.h

    Check availability of linux/magic.h. It isn't available in Linux
    versions before 2.6.19.

 configure.ac      |    1 +
 glib/gfileutils.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 8a82319458e677ca32bd01ebda2443620cfb17fc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 7 13:43:13 2011 -0500

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 90b18cdacdcf037f3c898cbf7d615d028b42e6e4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 7 13:42:33 2011 -0500

    Make timeout test less likely to fail

 glib/tests/timeout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1841ab81e5dc28e74cf246e98c3174aa1b566a4a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 7 12:05:38 2011 -0500

    Update NEWS

 NEWS |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit a4bc52d59a4a099a19a7d520e4c1271834adf2b8
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Mon Mar 7 12:57:56 2011 +0100

    Updated Italian transation from master

 po/it.po |  804
 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 350 insertions(+), 454 deletions(-)

commit 471a029fa6253473220b60db5f5be141878ee37b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Mar 6 23:08:46 2011 -0500

    Improve preconditions in action-related GApplication api

    https://bugzilla.gnome.org/show_bug.cgi?id=643780

 gio/gapplication.c |   16 ++++++++++++----
 1 files changed, 12 insertions(+), 4 deletions(-)

commit b0ec12ef7692ee95923e97451614e1049af3f0e1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Mar 6 22:37:01 2011 -0500

    Go back to the old logic in set_expiration

    It was more complicated, but also more correct...
    Also add a test to ensure that our rounding works as expected.
    https://bugzilla.gnome.org/show_bug.cgi?id=643795

 glib/gmain.c         |   10 +++++++---
 glib/tests/timeout.c |   41 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+), 3 deletions(-)

commit 6416e01e11cc8805969417d6f1fb1b1014d9e9d6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 4 13:07:14 2011 -0500

    Prime the NEWS for 2.28.2

 NEWS |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit c16a12c7a93afce00dbe6813c35c4b39ef4466bd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 4 12:10:06 2011 -0500

    Some more details about GApplicationFlags

 gio/gioenums.h |   13 ++++++++++---
 1 files changed, 10 insertions(+), 3 deletions(-)

commit 5fe6f2beb404955f362f35019a407bcfadfae6b9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 4 12:03:15 2011 -0500

    Add more GApplication docs

    Add more details about ::command-line to the g_application_run docs.

 gio/gapplication.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit a01af94c35f52b69870e83f9212e04e65f7ef169
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Mon Feb 28 11:15:13 2011 +0100

    GApplication: Check more before warning about a missing signal
    handler.

    * gio/application.c (g_application_real_command_line): Check that the
    default signal handler is not the current one before complaining,
    because
    it is not unusual for overloads to call the base class implementation
    as
    a matter of habit.
    g_application_real_open() and g_application_real_activate() already
    do this
    extra check.

 gio/gapplication.c |   22 ++++++++++++++--------
 1 files changed, 14 insertions(+), 8 deletions(-)

commit 841d2a3fff82ef56a2d35075ea4a0f2ba8302b36
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 4 01:53:56 2011 -0500

    GApplication: More documentation tweaks

 gio/gapplication.c            |   22 +++++++++++++++++-----
 gio/gapplicationcommandline.c |   36 +++++++++++++++++++++---------------
 2 files changed, 38 insertions(+), 20 deletions(-)

commit fe4d9ab7633b1c29602825e5350db3cc10759d6e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 4 01:36:51 2011 -0500

    Fix a typo

 gio/gapplicationcommandline.c             |    9 +++++
 gio/gioenums.h                            |    2 +-
 gio/tests/gapplication-example-cmdline3.c |   54
 ++++++++++++++++++++++------
 3 files changed, 52 insertions(+), 13 deletions(-)

commit 7b315afae911e080764c98e22880c39e1b209a98
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Mar 4 00:57:51 2011 -0500

    GVariant docs cleanups

    Fix some gtk-doc warnings

 docs/reference/glib/gvariant-varargs.xml |   42
 +++++++++++++++---------------
 glib/gvariant.c                          |    6 ++--
 glib/gvarianttype.c                      |   11 ++++---
 glib/gvarianttype.h                      |    2 +-
 4 files changed, 31 insertions(+), 30 deletions(-)

commit bd0e8775b6d594630a441466e4994ba75ada0274
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 4 00:27:23 2011 -0500

    Small doc correction

    We don't actually pass @argc to local_command_line().

 gio/gapplication.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit f21b28c3f1f44ec96a215537790ee4490c320f05
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 4 00:12:34 2011 -0500

    GApplication: Clarify docs for @argv

    Clearly state that @argv may be NULL.
    https://bugzilla.gnome.org/show_bug.cgi?id=643649

 gio/gapplication.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 15236daefd2f00d5b4e89d83e4e05c13586f1a07
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 4 00:03:13 2011 -0500

    GApplication: Beef up the local_command_line() docs

    This adds some details, such as the meaning of @argc, @argv and
    @status,
    even though gtk-doc does not make it easy to document vfunc arguments.
    Requested in
    https://bugzilla.gnome.org/show_bug.cgi?id=643478

 gio/gapplication.c |   20 ++++++++++++++++----
 1 files changed, 16 insertions(+), 4 deletions(-)

commit 4efbf92b7f02d2a1507f32735a2fa49328b5b41c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 3 23:34:49 2011 -0500

    GApplication: Improve documentation

    This commit adds some details regarding platform data.

 gio/gapplication.c |   28 +++++++++++++++++++++++-----
 gio/gapplication.h |   20 +++++++++++++-------
 gio/gioenums.h     |   12 ++++++++----
 3 files changed, 44 insertions(+), 16 deletions(-)

commit 93918189ef27c61e4c0f3e727b386955574810e4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 3 22:40:48 2011 -0500

    Try harder to explain GApplicationCommandline

    Trying to answer some of the questions in
    https://bugzilla.gnome.org/show_bug.cgi?id=643468

 gio/gapplication.c                        |    9 +++-
 gio/gapplicationcommandline.c             |   38 ++++++++++++++++-
 gio/tests/Makefile.am                     |    4 ++
 gio/tests/gapplication-example-cmdline3.c |   65
 +++++++++++++++++++++++++++++
 4 files changed, 112 insertions(+), 4 deletions(-)

commit 6e6b2db6130a280e2841765d3016c85e88f62cec
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Mar 3 14:51:41 2011 +0000

    g_value_array_remove(): clarify docstring formatting

 gobject/gvaluearray.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 3b373b75414071d166e0d0cdc764dce479f68780
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 25 11:13:55 2011 -0500

    GApplications: Tighten up application-id validity checks

    Also add tests for these conditions.
    https://bugzilla.gnome.org/show_bug.cgi?id=643197

 gio/gapplication.c |   32 ++++++++++++++++++++++++--------
 1 files changed, 24 insertions(+), 8 deletions(-)

commit 16cf8ab2e581330a659418151f1151d7ee6df0d5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 25 10:41:29 2011 -0500

    Add some tests for g_hash_table_lookup_extended

 glib/tests/hash.c |   45 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 45 insertions(+), 0 deletions(-)
[--snip--]
